
package de.ivu.elect.business.personenpruefung.control;

import java.util.List;
import java.util.stream.Collectors;

import javax.ejb.Stateless;
import javax.inject.Inject;

import de.ivu.elect.business.person.entity.Personendaten;

@Stateless
public class InstantPersonenPruefer {

  @Inject
  private InstantPersonenPruefProzess personenPruefProzess;

  public InstantPersonenPruefer() {
    super();
  }

  public List<PersonenPruefSchritt> getPersonenPruefSchritteFailed(Personendaten personendaten) {
    return personenPruefProzess.getPruefSchritte().stream()
        .filter(personenPruefSchritt -> personenPruefSchritt.isPotentiellNichtGeeignet(personendaten)).collect(Collectors.toList());
  }
}
